package com.jpattern.gwt.client.navigationevent;

import com.jpattern.gwt.client.IApplicationProvider;

/**
 * 
 * @author Francesco Cina'
 *
 * Nov 28, 2011
 */
public interface IBaseNavigationEvent {

	/**
	 * Return the name of the NavigationEvent
	 * @return
	 */
	String getName();
	
	/**
	 * return a list of all the roles allowed to access this INavigationEvent
	 * @return
	 */
	String[] getAllowedRole();

	boolean isRequireAuthentication();
	/**
	 * Return true if the current userSession is authorised to access this INavigationEvent
	 * @return
	 */
	boolean isUserAuthorized();
	
	IApplicationProvider getProvider();
	
}
